--------------------------------------------------------
--  File created - Monday-December-31-2018   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table ACCOUNTS
--------------------------------------------------------

  CREATE TABLE "COOP_SDU"."ACCOUNTS" 
   (	"ID" VARCHAR2(150 BYTE), 
	"PERSONNAME" VARCHAR2(100 BYTE), 
	"BALANCE" FLOAT(126), 
	"BRANCH" VARCHAR2(80 BYTE), 
	"OWNERNAME" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table USER_LOGIN
--------------------------------------------------------

  CREATE TABLE "COOP_SDU"."USER_LOGIN" 
   (	"USERNAME" VARCHAR2(20 BYTE), 
	"PASSWORD" VARCHAR2(150 BYTE), 
	"ROLE" VARCHAR2(20 BYTE), 
	"ID" NVARCHAR2(20), 
	"FULLNAME" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
REM INSERTING into COOP_SDU.ACCOUNTS
SET DEFINE OFF;
Insert into COOP_SDU.ACCOUNTS (ID,PERSONNAME,BALANCE,BRANCH,OWNERNAME) values ('e54d9052-c886-427f-9968-a8fb658ba067','NEW Sampath Double S 2',165000.5,'Kegalle','P D L Ranasinghe');
Insert into COOP_SDU.ACCOUNTS (ID,PERSONNAME,BALANCE,BRANCH,OWNERNAME) values ('b4e03198-47dc-4f31-b182-151ce09d30c2','Sampath Double S',50000.5,'Avissawella','L P M N Dias');
REM INSERTING into COOP_SDU.USER_LOGIN
SET DEFINE OFF;
Insert into COOP_SDU.USER_LOGIN (USERNAME,PASSWORD,ROLE,ID,FULLNAME) values ('dimuthul','bd53c2104b781bee846e766cb3b519cc','Manager','2563','Dimuthu Lakshan');
Insert into COOP_SDU.USER_LOGIN (USERNAME,PASSWORD,ROLE,ID,FULLNAME) values ('user','6ad14ba9986e3615423dfca256d04e3f','Clerk','3333','Clerk 1');
--------------------------------------------------------
--  DDL for Index ACCOUNTS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "COOP_SDU"."ACCOUNTS_PK" ON "COOP_SDU"."ACCOUNTS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index USER_LOGIN_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "COOP_SDU"."USER_LOGIN_PK" ON "COOP_SDU"."USER_LOGIN" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table ACCOUNTS
--------------------------------------------------------

  ALTER TABLE "COOP_SDU"."ACCOUNTS" ADD CONSTRAINT "ACCOUNTS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "COOP_SDU"."ACCOUNTS" MODIFY ("OWNERNAME" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."ACCOUNTS" MODIFY ("BRANCH" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."ACCOUNTS" MODIFY ("BALANCE" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."ACCOUNTS" MODIFY ("PERSONNAME" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."ACCOUNTS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table USER_LOGIN
--------------------------------------------------------

  ALTER TABLE "COOP_SDU"."USER_LOGIN" MODIFY ("FULLNAME" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."USER_LOGIN" ADD CONSTRAINT "USER_LOGIN_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "COOP_SDU"."USER_LOGIN" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."USER_LOGIN" MODIFY ("USERNAME" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."USER_LOGIN" MODIFY ("ROLE" NOT NULL ENABLE);
  ALTER TABLE "COOP_SDU"."USER_LOGIN" MODIFY ("PASSWORD" NOT NULL ENABLE);
